<!DOCTYPE html>
<html>
  <head>
    <title>DOM</title>

    <style>
      body {
        font-family: Arial;
      }

      .subscribe-button {
        border: none;
        background-color: black;
        color: white;
        padding-top: 10px;
        padding-bottom: 10px;
        padding-left: 15px;
        padding-right: 15px;
        font-weight: bold;
        border-radius: 50px;
        cursor: pointer;
        margin-bottom: 30px;
      }

      .is-subscribed {
        background-color: rgb(240, 240, 240);
        color: black;
      }

      .cost-input {
        font-size: 15px;
        padding: 10px;
      }

      .calculate-button {
        background-color: green;
        color: white;
        border: none;
        font-size: 15px;
        padding: 12px 15px;
        cursor: pointer;
      }
    </style>
  </head>
  <body>
    <p>YouTube Subscribe Button</p>
    <button onclick="subscribe();" class="js-subscribe-button subscribe-button">
      Subscribe
    </button>

    <p>Amazon Shipping Project</p>
    <input
      placeholder="Cost of Order"
      class="js-cost-input cost-input"
      onkeydown="
      handleCostKeyDown(event);
      "
    />

    <button
      onclick="
    calculateTotal();
    "
      class="calculate-button"
    >
      Calculate
    </button>

    <p class="js-total-cost"></p>

    <script>
      // String(25);
      // console.log("25" - 5);
      // console.log("25" + 5);

      // console.log(window.document);

      function handleCostKeyDown(event) {
        if (event.key === "Enter") {
          calculateTotal();
        }
      }

      function calculateTotal() {
        const inputElement = document.querySelector(".js-cost-input");
        let cost = Number(inputElement.value);

        if (cost < 40) {
          cost = cost + 10;
        }

        document.querySelector(".js-total-cost").innerHTML = `$${cost}`;
      }

      function subscribe() {
        const buttonElement = document.querySelector(".js-subscribe-button");

        if (buttonElement.innerText === "Subscribe") {
          buttonElement.innerHTML = "Subscribed";
          buttonElement.classList.add("is-subscribed");
        } else {
          buttonElement.innerHTML = "Subscribe";
          buttonElement.classList.remove("is-subscribed");
        }
      }
    </script>
  </body>
</html>
